Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1047150 - Increace performance for fetching Hosts from database
Summary: Increace performance for fetching Hosts from database
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.6.0
Assignee: Liran Zelkha
QA Contact: Eldad Marciano
URL:
Whiteboard: sla
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-29 13:07 UTC by Gilad Chaplik
Modified: 2016-02-10 20:15 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-01 14:28:53 UTC
oVirt Team: SLA
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 22810 0 master ABANDONED core: Adding an option to get a list of partial VDS Never

Description Gilad Chaplik 2013-12-29 13:07:55 UTC
Description of problem:
Currently when scheduling, engine use to fetch all VDS (host) objects by cluster. According to profiling tests conducted lately on scheduling process in engine, this query is very time consuming.

We should think of making this query more light-weighted, and even reduce the times we call it (maybe to aggregate calls to it while validating).

Comment 2 Doron Fediuck 2014-10-29 11:09:00 UTC
Barak,
what's the plan to handle it?

Comment 3 Barak 2014-11-12 21:30:30 UTC
Please specify:
- what exact query are we talking about
- what flow? any run VM will reflect this issue ?

Comment 4 Gilad Chaplik 2014-11-13 09:44:51 UTC
(In reply to Barak from comment #3)
> Please specify:
> - what exact query are we talking about
> - what flow? any run VM will reflect this issue ?

The query was getVdsForVdsGroupWithStatus, but according to latest testing 
(bug 1149701) the query is okay.

I think we should invest time to understand what happens in large scale.

Comment 5 Barak 2014-11-13 15:54:28 UTC
(In reply to Gilad Chaplik from comment #4)
> (In reply to Barak from comment #3)
> > Please specify:
> > - what exact query are we talking about
> > - what flow? any run VM will reflect this issue ?
> 
> The query was getVdsForVdsGroupWithStatus, but according to latest testing 
> (bug 1149701) the query is okay.
> 
> I think we should invest time to understand what happens in large scale.

We investigate what happens in large scales all the time.
I'm afraid that if I don't get a real substance for this bug than I'll close it.
Unless you come up with a specific problem.

Anyway added needinfo on Liran (to keep him in the loop)
And leaving needinfo on you to supply the info.

If nothing comes up this bug will be closed

Comment 6 Doron Fediuck 2014-11-17 16:58:54 UTC
We'll revisit it for 3.6, as we're out of capacity for 3.5 cycle.

Comment 7 Roy Golan 2015-05-27 08:27:11 UTC
Eldad, have you seen this query slow-performing? if not 
then we can close this.

Comment 8 Eldad Marciano 2015-06-01 13:18:03 UTC
No at all,
but there is a open defect for scheduling already see:
https://bugzilla.redhat.com/show_bug.cgi?id=1149701

Comment 9 Barak 2015-06-01 14:28:53 UTC
per comments #7 & #8  closing this bug INSUFFICIENT_DATA.

If you have a clearer scenario please reopen this bug - or a different more specific bug.


Note You need to log in before you can comment on or make changes to this bug.